[package]
name = "session"
version.workspace = true
edition.workspace = true
authors.workspace = true
description.workspace = true
repository.workspace = true
readme.workspace = true
homepage.workspace = true
license.workspace = true
keywords.workspace = true
categories.workspace = true
documentation.workspace = true
[lib]
path = "lib.rs"
name = "session"
[dependencies]
actix-service = { workspace = true }
actix-utils = { workspace = true }
actix-web = { workspace = true, features = ["cookies", "secure-cookies"] }

anyhow = { workspace = true }
derive_more = { workspace = true, features = ["display", "error", "from"] }
rand = { workspace = true }
serde = { workspace = true }
serde_json = { workspace = true }
uuid = { workspace = true,features = ["serde","v7","v4"] }
redis = {  workspace = true, features = ["tokio-comp", "connection-manager", "cluster"] }
deadpool-redis = { workspace = true }
tokio = { workspace = true, features = ["rt-multi-thread", "sync"] }
[lints]
workspace = true
